Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.optaplanner.core.config.localsearch.decider.deciderscorecomparator
Enum DeciderScoreComparatorFactoryType

    java.lang.Object
      java.lang.Enum<DeciderScoreComparatorFactoryType>
          org.optaplanner.core.config.localsearch.decider.deciderscorecomparator.DeciderScoreComparatorFactoryType

All Implemented Interfaces:
  Serializable, Comparable<DeciderScoreComparatorFactoryType>

Deprecated.

    @Deprecated
    public enum DeciderScoreComparatorFactoryType

extends Enum<DeciderScoreComparatorFactoryType>

Enum Constant Summary
`NATURAL` Deprecated.
`SHIFTING_HARD_PENALTY` Deprecated.

Method Summary
`static DeciderScoreComparatorFactoryType` | `valueOf(String name)` Deprecated. Returns the enum constant of this type with the specified name.
`static DeciderScoreComparatorFactoryType[]` | `values()` Deprecated. Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NATURAL

    public static final DeciderScoreComparatorFactoryType NATURAL

  Deprecated.

### SHIFTING_HARD_PENALTY

    public static final DeciderScoreComparatorFactoryType SHIFTING_HARD_PENALTY

  Deprecated.

Method Detail

### values

    public static DeciderScoreComparatorFactoryType[] values()

  Deprecated.
  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (DeciderScoreComparatorFactoryType c : DeciderScoreComparatorFactoryType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static DeciderScoreComparatorFactoryType valueOf(String name)

  Deprecated.
  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.